#ifndef Jtokens_h
#define Jtokens_h
/* Jtokens.h -- List of labelled tokens and stuff
 *
 * Generated from: java.g
 *
 * Terence Parr, Will Cohen, and Hank Dietz: 1989-2001
 * Purdue University Electrical Engineering
 * ANTLR Version 1.33MR33
 */
enum ANTLRTokenType {
	Eof=1,
	QUESTION=2,
	LPAREN=3,
	RPAREN=4,
	LBRACK=5,
	RBRACK=6,
	LCURLY=7,
	RCURLY=8,
	COLON=9,
	COMMA=10,
	DOT=11,
	ASSIGN=12,
	EQUAL=13,
	LNOT=14,
	BNOT=15,
	NOT_EQUAL=16,
	DIV=17,
	DIV_ASSIGN=18,
	PLUS=19,
	PLUS_ASSIGN=20,
	INC=21,
	MINUS=22,
	MINUS_ASSIGN=23,
	DEC=24,
	STAR=25,
	STAR_ASSIGN=26,
	MOD=27,
	MOD_ASSIGN=28,
	SR=29,
	SR_ASSIGN=30,
	BSR=31,
	BSR_ASSIGN=32,
	GE=33,
	GT=34,
	SL=35,
	SL_ASSIGN=36,
	LE=37,
	LESSTHAN=38,
	BXOR=39,
	BXOR_ASSIGN=40,
	BOR=41,
	BOR_ASSIGN=42,
	LOR=43,
	BAND=44,
	BAND_ASSIGN=45,
	LAND=46,
	SEMI=47,
	WS=48,
	DOS_NL=49,
	MAC_NL=50,
	UNIX_NL=51,
	COMLINE=52,
	DOS_COMLINE_END=53,
	MAC_COMLINE_END=54,
	UNIX_COMLINE_END=55,
	COMLINE_ANYTHING=56,
	COMPREPO=57,
	DOS_COMPREPRO_END=58,
	MAC_COMPREPRO_END=59,
	UNIX_COMPREPRO_END=60,
	COMPREPRO_ANYTHING=61,
	COMMULTI=62,
	COMMULTI_END=63,
	DOS_COMMULTI_EOL=64,
	MAC_COMMULTI_EOL=65,
	UNIX_COMMULTI_EOL=66,
	COMMULTI_ANYTHING=67,
	STRINGSTART=68,
	STRINGCONST=69,
	LYNNS_FIX=70,
	ESCAPED_DQUOTE=71,
	ESCAPED_OTHER=72,
	S_ANYTHING=73,
	CHARSTART=74,
	CHARCONST=75,
	CH_ANYTHING=76,
	ABSTRACT=77,
	KW_BOOLEAN=78,
	BREAK=79,
	KW_BYTE=80,
	CATCH=81,
	DEFAULT=82,
	KW_CHAR=83,
	CLASS=84,
	KW_CONST=85,
	CONTINUE=86,
	DO=87,
	KW_DOUBLE=88,
	ELSE=89,
	EXTENDS=90,
	BFALSE=91,
	FINAL=92,
	FINALLY=93,
	KW_FLOAT=94,
	FOR=95,
	IF=96,
	IMPLEMENTS=97,
	IMPORT=98,
	INSTANCEOF=99,
	KW_INT=100,
	INTERFACE=101,
	KW_LONG=102,
	NATIVE=103,
	NEW=104,
	PNULL=105,
	PACKAGE=106,
	PRIVATE=107,
	PROTECTED=108,
	PUBLIC=109,
	RETURN=110,
	KW_SHORT=111,
	SHUTUP=112,
	STATIC=113,
	SUPER=114,
	SWITCH=115,
	SYNCHRONIZED=116,
	THINGS=117,
	KW_THIS=118,
	THREADSAFE=119,
	THROW=120,
	THROWS=121,
	TRANSIENT=122,
	BTRUE=123,
	TRY=124,
	KW_VOID=125,
	VOLATILE=126,
	WHILE=127,
	CASE=128,
	IDENT=129,
	NUM_INT1=130,
	NUM_INT2=131,
	NUM_INT3=132,
	NUM_INT4=133,
	NUM_INT1A=134,
	NUM_INT1B=135,
	CompilationUnit=136,
	PackageDefinition=137,
	ImportDefinition=138,
	TypeDefinition=139,
	Declaration=140,
	Modifiers=141,
	TypeParameters=142,
	TypeSpec=143,
	ClassTypeSpec=144,
	BuiltInTypeSpec=145,
	Type=146,
	BuiltInType=147,
	Identifier=148,
	TypeSpec2=149,
	ClassTypeSpec2=150,
	BuiltInTypeSpec2=151,
	Identifier2=152,
	IdentifierStar=153,
	Modifier=154,
	ClassDefinition=155,
	SuperClassClause=156,
	InterfaceDefinition=157,
	ClassBlock=158,
	InterfaceExtends=159,
	ImplementsClause=160,
	MoreSuperclassNames=161,
	Field=162,
	TypedDeclaration=163,
	MethodDefinition=164,
	VariableDefinitions=165,
	VariableDeclarator=166,
	DeclaratorBrackets=167,
	VarInitializer=168,
	ArrayInitializer=169,
	Initializer=170,
	CtorDefinition=171,
	CtorHead=172,
	ThrowsClause=173,
	ReturnTypeBrackersOnEndOfMethodHead=174,
	ParameterDeclarationList=175,
	ParameterDeclaration=176,
	ParameterDeclaratorBrackets=177,
	ParameterModifier=178,
	CompoundStatement=179,
	Statement=180,
	IfStatement=181,
	ForStatement=182,
	WhileStatement=183,
	DoWhileStatement=184,
	BreakStatement=185,
	ContinueStatement=186,
	ReturnStatement=187,
	SwitchStatement=188,
	ThrowStatement=189,
	SyncStatement=190,
	EmptyStatement=191,
	OptElseClause=192,
	CasesGroup=193,
	Cases=194,
	OptMoreCases=195,
	ACase=196,
	CaseSList=197,
	ForInit=198,
	ForCond=199,
	ForIter=200,
	TryBlock=201,
	Handler=202,
	Expression=203,
	ExpressionList=204,
	AssignmentExpression=205,
	ConditionalExpression=206,
	LogicalOrExpression=207,
	LogicalAndExpression=208,
	InclusiveOrExpression=209,
	ExclusiveOrExpression=210,
	AndExpression=211,
	EqualityExpression=212,
	RelationalPredicate=213,
	RelationalExpression=214,
	ShiftExpression=215,
	AdditiveExpression=216,
	MultiplicativeExpression=217,
	UnaryExpression=218,
	UnaryExpressionNotPlusMinus=219,
	PostfixExpression=220,
	PrimaryExpression=221,
	NewExpression=222,
	ArgList=223,
	NewArrayDeclarator=224,
	Constant=225,
	NUM_FLOAT=226,
	DLGminToken=0,
	DLGmaxToken=9999};

#endif
